;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10; Package: umweb -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          modlisp.asd
;;;; Purpose:       ASDF system definition file for modlisp package
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Dec 2002
;;;;
;;;; $Id: modlisp.asd,v 1.1 2003/07/04 19:52:32 kevin Exp $
;;;; *************************************************************************

(defpackage #:modlisp-system (:use #:cl #:asdf))
(in-package #:modlisp-system)

#+(or allegro clisp cmu lispworks sbcl)
(defsystem modlisp
    :default-component-class kboot:kmr-cl-source-file
    :depends-on (:kmrcl
		 :base64
		 #+sbcl :sb-bsd-sockets)
    :components
    ((:file "package")
     (:file "data-structures" :depends-on ("package"))
     (:file #+allegro "impl-acl"
	    #+clisp "impl-clisp"
	    #+cmu "impl-cmucl"
	    #+sbcl "impl-sbcl"
	    #+lispworks "impl-lispworks"
	    :depends-on ("data-structures"))
     (:file "base"
	    :depends-on (#+allegro "impl-acl"
			 #+clisp "impl-clisp"
			 #+cmu "impl-cmucl"
			 #+lispworks "impl-lispworks"
			 #+sbcl "impl-sbcl"))
     (:file "utils" :depends-on ("base"))))
